Skip to main content
GET
Gets a list of Invoices based on a query

Authorizations

Authorization
string
header
required

Enter the Bearer AccessToken; Example: 'Bearer 12345abcdef'

Query Parameters

accountNumber
string
required

The customer's account number

invoiceType
string

The invoice type to search for

invoiceNumber
string

A specific invoice number

searchStartDate
string<date-time>
required

The beginning date of the search range

searchEndDate
string<date-time>
required

The ending date of the search range

Response

200 - application/json

Returns the list of Invoices

Generic container for all service responses

isSuccess
boolean

Was the request successful. If not, the message will have more information.

message
string | null

Any error message

payload
object[] | null

The payload object of the response